# Trackster
A lightweight plugin to record visits to supplied URL.
This gem is written using Rails version 5.1.4 and Ruby version ruby 2.4.2p198.

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'trackster'
```

And then execute:
```bash
$ bundle install
```

Or install it yourself as:
```bash
$ gem install trackster
```

Generate the pageviews table
```bash
$ rake db:migrate
```

Usage

1. Create trackster.rb as follwing:
```ruby
  Trackster::Engine.setup do |config|
    config.trackable_regex = ["/a+", "/a[a-z]+"] # Regular Expression match
    config.trackable_urls = ["/tests"] # Full URL match
    config.results_page_username = "hello" # Username for pageview list page
    config.results_page_password = "world" # Password for pageview list page
  end
```

2. Add following to you routes.rb
```ruby 
  mount Trackster::Engine => "/trackster" 
```

3. To enable Trackster to count pageview, add following to your ApplicationController:
```ruby 
  trackster
```

4. The url for pageview list page is "/trackster/pageviews"

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
