require 'spec_helper'

module Trackster
  RSpec.describe Pageview, type: :model do
    before :each do
      @pageview = Pageview.create(url: "/", visit_date: "2017-01-01")
    end
    
    it "has a valid factory" do
      expect(@pageview).to be_valid
    end

    it "should be invalid without url" do
      @pageview.url = nil
      @pageview.should_not be_valid
    end

    it "should be invalid without visit_date" do
      @pageview.visit_date = nil
      @pageview.should_not be_valid
    end
    
  end
end
